# module WpUsers::Output - RDoc Documentation

# module WpUsers::Output

### Public Instance Methods

output(options = {}) click to toggle source

@param [ Hash ] options @option options[ Boolean ] :show_password Output the password column

@return [ void ]

    # File lib/common/collections/wp_users/output.rb, line 9
    def output(options = {})
      rows     = []
      headings = ['Id', 'Login', 'Name']
      headings << 'Password' if options[:show_password]

      self.each do |wp_user|
        row = [wp_user.id, wp_user.login, wp_user.display_name]
        row << wp_user.password if options[:show_password]
        rows << row
      end

      puts Terminal::Table.new(headings: headings,
                               rows: rows,
                               style: { margin_left: options[:margin_left] || '' })
    end